# Generated from beautiful_url-1.5.58.gem by gem2rpm -*- rpm-spec -*-
%global gem_name beautiful_url

Name: rubygem-%{gem_name}
Version: 1.5.58
Release: 1%{?dist}
Summary: This is a medium-sized gem which attempts to handle "matching" a String or a Symbol against (remote) URLs. The project was created in order to use short identifiers that can pinpoint to remote URLs, a bit similar to how shorturl is working.  The gem is, however had, tailored to my use cases, so it will most likely be utterly useless to other people by default. Most downloads of this gem happen by scripts and bots, so do not think that the  download numbers imply anything about "real" usage - the gem is  way too much tailored to my own use case.  In the long run, though, the project may be extended to allow the custom loading of yaml files, for a later release - but for now, I do not think that this project will be useful to anyone else.   More documentation can be found at:  https://www.rubydoc.info/gems/beautiful_url/
License: MIT
URL: https://rubygems.org/gems/beautiful_url
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.4.10
BuildRequires: ruby >= 3.2.2
BuildArch: noarch

%description
This is a medium-sized gem which attempts to handle "matching" a String
or a Symbol against (remote) URLs. The project was created in order to
use short identifiers that can pinpoint to remote URLs, a bit similar
to how shorturl is working.
The gem is, however had, tailored to my use cases, so it will most
likely be utterly useless to other people by default. Most downloads
of this gem happen by scripts and bots, so do not think that the 
download numbers imply anything about "real" usage - the gem is 
way too much tailored to my own use case.
In the long run, though, the project may be extended to allow the
custom loading of yaml files, for a later release - but for now,
I do not think that this project will be useful to anyone else. 
More documentation can be found at:
https://www.rubydoc.info/gems/beautiful_url/
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/beautiful_url.gemspec
%doc %{gem_instdir}/doc
%{gem_instdir}/test

%changelog
* Wed Apr 05 2023 mockbuilder - 1.5.58-1
- Initial package
